from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class FilterOperator(IntEnum):
    EMPTY = auto()
    NOT_EMPTY = auto()
    EQUAL = auto()
    NOT_EQUAL = auto()
    GREATER = auto()
    GREATER_EQUAL = auto()
    LESS = auto()
    LESS_EQUAL = auto()
    TOP_VALUES = auto()
    TOP_PERCENT = auto()
    BOTTOM_VALUES = auto()
    BOTTOM_PERCENT = auto()
